Extract Profile Information
curl --request POST \
--url https://api.linkupapi.com/v1/data/profil/info \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"profile_url": "<string>"
}
'import requests
url = "https://api.linkupapi.com/v1/data/profil/info"
payload = { "profile_url": "<string>" }
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({profile_url: '<string>'})
};
fetch('https://api.linkupapi.com/v1/data/profil/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linkupapi.com/v1/data/profil/info",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'profile_url' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.linkupapi.com/v1/data/profil/info"
payload := strings.NewReader("{\n \"profile_url\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<x-api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.linkupapi.com/v1/data/profil/info")
.header("x-api-key", "<x-api-key>")
.header("Content-Type", "application/json")
.body("{\n \"profile_url\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linkupapi.com/v1/data/profil/info")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<x-api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"profile_url\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"profile_url": "https://www.linkedin.com/in/jeremygoillot",
"success": true,
"profile_data": {
"public_id": "jeremygoillot",
"first_name": "Jeremy",
"last_name": "Goillot",
"headline": "CEO @The Mobile-First Company \n Your Business, in your Pocket | Angel Investor in +40 startups",
"location": "France",
"summary": "NO EMAIL \nPhone Call Only >> 06 44 60 39 99\n\nBuilding @The Mobile-First Company\nOur goal is clear: Turn your phone into your primary business tool...",
"industry": "Technologie, information et Internet",
"experience": [
{
"company": "The Mobile-First Company",
"title": "CEO & Co-Founder",
"description": "Your Business, in your Pocket. Mobile Apps for Every Need...",
"start_date": "9/2023",
"end_date": ""
},
{
"company": "The Mobile Entrepreneurs",
"title": "Content Creator",
"description": "Le media des entrepreneurs du quotidien, avec un telephone a portee de main.",
"start_date": "10/2024",
"end_date": ""
}
],
"education": [
{
"school": "Le Wagon",
"degree": "FullStack Developer",
"field_of_study": "Web Development",
"start_date": "2016",
"end_date": "2016"
},
{
"school": "INSEEC U.",
"degree": "Bachelor of Business Administration (BBA)",
"field_of_study": "",
"start_date": "",
"end_date": ""
}
],
"skills": ["Allo", " Build a Fintech Unicorn (from 0 to 1B$)", " Build Growth Team for Early Stage Startups", "Angel investing (+30 Startups)"],
"profile_picture_url": "https://media.licdn.com/dms/image/v2/D4E03AQGNeGf5rNxHfw/profile-displayphoto-shrink_800_800/profile-displayphoto-shrink_800_800/0/1708347819714?e=1749081600&v=beta&t=Fc0vOkxS_LjCwtTl4wU5-FBBHrk7N6gwLQAz0meDsrk"
},
"contact_info": {
"email": "[email protected]",
"phone": "06 44 60 39 99",
"website": "https://themobilefirstcompany.com"
}
}
}
{
"status": "success",
"data": {
"profile_url": "https://www.linkedin.com/in/invalid-profile",
"success": false,
"profile_data": null,
"contact_info": null
}
}
Person API
Extract Profile Information
Extract detailed information from a LinkedIn profile
POST
/
v1
/
data
/
profil
/
info
Extract Profile Information
curl --request POST \
--url https://api.linkupapi.com/v1/data/profil/info \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"profile_url": "<string>"
}
'import requests
url = "https://api.linkupapi.com/v1/data/profil/info"
payload = { "profile_url": "<string>" }
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({profile_url: '<string>'})
};
fetch('https://api.linkupapi.com/v1/data/profil/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linkupapi.com/v1/data/profil/info",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'profile_url' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.linkupapi.com/v1/data/profil/info"
payload := strings.NewReader("{\n \"profile_url\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<x-api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.linkupapi.com/v1/data/profil/info")
.header("x-api-key", "<x-api-key>")
.header("Content-Type", "application/json")
.body("{\n \"profile_url\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linkupapi.com/v1/data/profil/info")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<x-api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"profile_url\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"profile_url": "https://www.linkedin.com/in/jeremygoillot",
"success": true,
"profile_data": {
"public_id": "jeremygoillot",
"first_name": "Jeremy",
"last_name": "Goillot",
"headline": "CEO @The Mobile-First Company \n Your Business, in your Pocket | Angel Investor in +40 startups",
"location": "France",
"summary": "NO EMAIL \nPhone Call Only >> 06 44 60 39 99\n\nBuilding @The Mobile-First Company\nOur goal is clear: Turn your phone into your primary business tool...",
"industry": "Technologie, information et Internet",
"experience": [
{
"company": "The Mobile-First Company",
"title": "CEO & Co-Founder",
"description": "Your Business, in your Pocket. Mobile Apps for Every Need...",
"start_date": "9/2023",
"end_date": ""
},
{
"company": "The Mobile Entrepreneurs",
"title": "Content Creator",
"description": "Le media des entrepreneurs du quotidien, avec un telephone a portee de main.",
"start_date": "10/2024",
"end_date": ""
}
],
"education": [
{
"school": "Le Wagon",
"degree": "FullStack Developer",
"field_of_study": "Web Development",
"start_date": "2016",
"end_date": "2016"
},
{
"school": "INSEEC U.",
"degree": "Bachelor of Business Administration (BBA)",
"field_of_study": "",
"start_date": "",
"end_date": ""
}
],
"skills": ["Allo", " Build a Fintech Unicorn (from 0 to 1B$)", " Build Growth Team for Early Stage Startups", "Angel investing (+30 Startups)"],
"profile_picture_url": "https://media.licdn.com/dms/image/v2/D4E03AQGNeGf5rNxHfw/profile-displayphoto-shrink_800_800/profile-displayphoto-shrink_800_800/0/1708347819714?e=1749081600&v=beta&t=Fc0vOkxS_LjCwtTl4wU5-FBBHrk7N6gwLQAz0meDsrk"
},
"contact_info": {
"email": "[email protected]",
"phone": "06 44 60 39 99",
"website": "https://themobilefirstcompany.com"
}
}
}
{
"status": "success",
"data": {
"profile_url": "https://www.linkedin.com/in/invalid-profile",
"success": false,
"profile_data": null,
"contact_info": null
}
}
This method provides detailed and reliable data extraction directly through our service.
This endpoint costs 1 credit per request. Ignore this if you’re on per-seat pricing: usage is unlimited.
Header Parameters
Body Parameters
Response
Show Properties
Show Properties
Show Profile Information
Show Profile Information
{
"status": "success",
"data": {
"profile_url": "https://www.linkedin.com/in/jeremygoillot",
"success": true,
"profile_data": {
"public_id": "jeremygoillot",
"first_name": "Jeremy",
"last_name": "Goillot",
"headline": "CEO @The Mobile-First Company \n Your Business, in your Pocket | Angel Investor in +40 startups",
"location": "France",
"summary": "NO EMAIL \nPhone Call Only >> 06 44 60 39 99\n\nBuilding @The Mobile-First Company\nOur goal is clear: Turn your phone into your primary business tool...",
"industry": "Technologie, information et Internet",
"experience": [
{
"company": "The Mobile-First Company",
"title": "CEO & Co-Founder",
"description": "Your Business, in your Pocket. Mobile Apps for Every Need...",
"start_date": "9/2023",
"end_date": ""
},
{
"company": "The Mobile Entrepreneurs",
"title": "Content Creator",
"description": "Le media des entrepreneurs du quotidien, avec un telephone a portee de main.",
"start_date": "10/2024",
"end_date": ""
}
],
"education": [
{
"school": "Le Wagon",
"degree": "FullStack Developer",
"field_of_study": "Web Development",
"start_date": "2016",
"end_date": "2016"
},
{
"school": "INSEEC U.",
"degree": "Bachelor of Business Administration (BBA)",
"field_of_study": "",
"start_date": "",
"end_date": ""
}
],
"skills": ["Allo", " Build a Fintech Unicorn (from 0 to 1B$)", " Build Growth Team for Early Stage Startups", "Angel investing (+30 Startups)"],
"profile_picture_url": "https://media.licdn.com/dms/image/v2/D4E03AQGNeGf5rNxHfw/profile-displayphoto-shrink_800_800/profile-displayphoto-shrink_800_800/0/1708347819714?e=1749081600&v=beta&t=Fc0vOkxS_LjCwtTl4wU5-FBBHrk7N6gwLQAz0meDsrk"
},
"contact_info": {
"email": "[email protected]",
"phone": "06 44 60 39 99",
"website": "https://themobilefirstcompany.com"
}
}
}
{
"status": "success",
"data": {
"profile_url": "https://www.linkedin.com/in/invalid-profile",
"success": false,
"profile_data": null,
"contact_info": null
}
}
Notes
- Fields may be empty strings when information is not available on the profile
- Experience and education arrays may be empty when no entries exist
- Profile data extraction depth depends on:
- The profile’s privacy settings
- LinkedIn visibility restrictions
Was this page helpful?